summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorArthur She <arthur.she@linaro.org>2014-09-18 10:35:41 -0700
committerArthur She <arthur.she@linaro.org>2014-09-18 10:35:41 -0700
commit348566ec87549fb53addf1680c1f4f33d9e7e7dd (patch)
tree46eb3ae52c9ac6576283c3bb872c76f54eade681
parent006c9a38ae2d45d8e3fdf8b67327f0fb3cd41204 (diff)
make pushd & popd quiet
modified: kselftest-repo-update.sh
-rwxr-xr-xkselftest-repo-update.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/kselftest-repo-update.sh b/kselftest-repo-update.sh
index 81cd058..2cea0f1 100755
--- a/kselftest-repo-update.sh
+++ b/kselftest-repo-update.sh
@@ -34,9 +34,9 @@ clone_repo () {
if [ -d "$3" ]; then
# The source is exist, update it
- pushd $3
+ pushd $3 > /dev/null
checkout_branch $2
- [ $? -eq 0 ] && popd || return 1
+ [ $? -eq 0 ] && popd > /dev/null || return 1
else
# We have to clone the kernel source
git clone -b $2 $1 $3
@@ -51,7 +51,7 @@ clone_repo () {
echo "Cloning test code"
clone_repo ${TCODE_REPO} master ${TCODE_DIR}
[ $? -ne 0 ] && exit 1
-pushd ${TCODE_DIR}
+pushd ${TCODE_DIR} > /dev/null
for i in `seq 0 $((${#REMOTE_REPO[@]}-1))`;
do
remote_repo="`echo ${REMOTE_REPO[$i]}|cut -d ' ' -f1`"
@@ -61,10 +61,10 @@ do
echo -e "\nSync with repo: ${remote_repo}\n"
clone_repo ${remote_repo} ${remote_branch} ${kworking_dir}
[ $? -ne 0 ] && continue
- pushd ${kworking_dir}
+ pushd ${kworking_dir} > /dev/null
cm=`git log -n1|head -n1|awk '{print $NF}'`
commit_comment="Update to ${cm} from repo ${remote_repo} branch ${remote_branch}"
- popd
+ popd > /dev/null
IFS=' ';read -ra bn <<< ${KSELFTEST_BRANCH[$i]}
for b in ${bn[@]};
do
@@ -88,4 +88,4 @@ do
fi
done
done
-popd
+popd > /dev/null